"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_asset_houses_method = require("../method.js");
const gen_Enums = require("../../../gen/Enums.js");
const INDEX_asset_houses_model = require("../model.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  (_easycom_uni_icons2 + _easycom_hs_enum_tag2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_enum_tag + MyCreateHousehold)();
}
const MyCreateHousehold = () => "./CreateHousehold.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "MeHouseItem",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _a.dataList) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c;
          return common_vendor.e({
            a: common_vendor.t((_a2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _a2.full_name),
            b: (i == null ? void 0 : i.asset_houses_id) === ((_b2 = common_vendor.unref(INDEX_asset_houses_model.useModel).selectedHouseEd.value) == null ? void 0 : _b2.id)
          }, (i == null ? void 0 : i.asset_houses_id) === ((_c = common_vendor.unref(INDEX_asset_houses_model.useModel).selectedHouseEd.value) == null ? void 0 : _c.id) ? {
            c: "0aee8f33-0-" + i0,
            d: common_vendor.p({
              type: "checkbox-filled",
              size: "20",
              color: "#2A7EFB"
            })
          } : {
            e: "0aee8f33-1-" + i0,
            f: common_vendor.p({
              type: "circle",
              size: "20",
              color: "#999"
            })
          }, {
            g: "0aee8f33-2-" + i0,
            h: common_vendor.p({
              value: i == null ? void 0 : i.house_relation,
              Enums: common_vendor.unref(gen_Enums.HouseOccupantsHouseRelationEnum)
            }),
            i: common_vendor.t((i == null ? void 0 : i.people_num) || 0),
            j: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(INDEX_asset_houses_method.method)) == null ? void 0 : _a3.handleSelectedHouse(i);
            }, `item_${index}`),
            k: (i == null ? void 0 : i.house_relation) === "Owner"
          }, (i == null ? void 0 : i.house_relation) === "Owner" ? {
            l: "0aee8f33-3-" + i0
          } : {}, {
            m: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(INDEX_asset_houses_method.method)) == null ? void 0 : _a3.handleQueryHouseArchives(i);
            }, `item_${index}`),
            n: `item_${index}`
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/asset_houses/components/MeHouseItem.vue"]]);
wx.createComponent(Component);
